### Enumeration

# Aravis BufferPayloadType

#### Declaration

    enum Aravis.BufferPayloadType

#### Description

No description available.

#### Members

`ARV_BUFFER_PAYLOAD_TYPE_UNKNOWN`

  Unknown payload type.

  - Value: `-1`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_NO_DATA`

  No data.

  - Value: `0`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_IMAGE`

  Image data.

  - Value: `1`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_RAWDATA`

  Raw data (not supported).

  - Value: `2`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_FILE`

  File (not supported).

  - Value: `3`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_CHUNK_DATA`

  Chunk data (not supported).

  - Value: `4`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_EXTENDED_CHUNK_DATA`

  Extended chunk data.

  - Value: `5`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_JPEG`

  JPEG data (not supported).

  - Value: `6`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_JPEG2000`

  JPEG2000 data (not supported).

  - Value: `7`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_H264`

  H264 data (not supported).

  - Value: `8`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_MULTIZONE_IMAGE`

  Multizone image (not supported).

  - Value: `9`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_MULTIPART`

  Multipart data.

  - Value: `10`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_GENDC_CONTAINER`

  No description available.

  - Value: `11`
  - Available since: 0.8
`ARV_BUFFER_PAYLOAD_TYPE_GENDC_COMPONENT_DATA`

  No description available.

  - Value: `12`
  - Available since: 0.8